'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fsExtra = require('fs-extra');

var _log = require('../log');

var _log2 = _interopRequireDefault(_log);

var _help = require('../help');

var _help2 = _interopRequireDefault(_help);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var preRenderEntryPoint = _ref.preRenderEntryPoint;
  return new Promise(function (resolve) {
    var entryPoint = preRenderEntryPoint + '.js';
    (0, _log2.default)({ message: 'Importing Entry Point…' });
    Promise.resolve().then(function () {
      return require('' + entryPoint);
    }).then(function (module) {
      resolve({ server: { preRender: module.default } });
    }).catch(function (error) {
      (0, _help2.default)({
        displayedWhen: !(0, _fsExtra.pathExistsSync)(entryPoint),
        warning: 'You need to specify a valid entry point. (using an absolute path)',
        instruction: 'Does the file you specified exist? `' + entryPoint + '`?',
        link: '/dev-toolkit#serverless-render',
        error: error
      });
    });
  });
}; /* eslint-disable no-underscore-dangle */