'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getUserSettings = require('./getUserSettings');

var _getUserSettings2 = _interopRequireDefault(_getUserSettings);

var _importServerApp = require('./importServerApp');

var _importServerApp2 = _interopRequireDefault(_importServerApp);

var _createEmptyServerApp = require('./createEmptyServerApp');

var _createEmptyServerApp2 = _interopRequireDefault(_createEmptyServerApp);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : { skipServerImport: false },
      skipServerImport = _ref.skipServerImport;

  var userSettings = (0, _getUserSettings2.default)();

  return new Promise(function (resolve, reject) {
    if (skipServerImport) {
      resolve({ userSettings: userSettings });
    } else {
      var preRenderEntryPoint = global.__devToolkitCommandOptions.preRenderEntryPoint;

      if (preRenderEntryPoint) {
        (0, _createEmptyServerApp2.default)({ preRenderEntryPoint: preRenderEntryPoint }).then(function (_ref2) {
          var server = _ref2.server;
          return resolve({ server: server, userSettings: userSettings });
        }).catch(reject);
      } else {
        (0, _importServerApp2.default)().then(function (_ref3) {
          var server = _ref3.server;
          return resolve({ server: server, userSettings: userSettings });
        }).catch(reject);
      }
    }
  });
}; /* eslint-disable no-underscore-dangle */